import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import Router from 'vue-router';
import 'mapbox-gl/dist/mapbox-gl.css'
import mapBoxGl from 'mapbox-gl'



import '@riophae/vue-treeselect/dist/vue-treeselect.css'
const {CONFIG} = require("../public/settings/config");
const {COLOR} = require("../public/settings/color");
Vue.config.productionTip = false
Vue.prototype.CONFIG = CONFIG
Vue.prototype.COLOR = COLOR
Vue.prototype.$mapboxgl = mapBoxGl
Vue.use(ElementUI)
const originalPush = Router.prototype.push
Router.prototype.push = function push(location) {
    return originalPush.call(this, location).catch(err => err)
}
let vue = new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')

export default vue;
